Bug 60030 - /proc doesn't scale.
Summary: /proc doesn't scale.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-19 06:34 UTC by Ed McKenzie
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-08 01:29:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
top output (2.34 KB, text/plain)
2002-02-19 06:36 UTC, Ed McKenzie
no flags Details

Description Ed McKenzie 2002-02-19 06:34:07 UTC
Under high load, top/ps spend excessive time in the kernel, and cease to 
function in a useful way.  On UP, they simply don't work at all beyond a 
certain point; on SMP, you can see why.  See attachment.

Comment 1 Ed McKenzie 2002-02-19 06:36:56 UTC
Created attachment 45941 [details]
top output

Comment 2 Arjan van de Ven 2002-02-19 08:56:51 UTC
Known issue; top asks the kernel to calculate how much memory there is shared
between processes; that's a rather expensive calculation if you have lots of
processes with shared components...

Comment 3 Ed McKenzie 2002-02-19 13:27:36 UTC
Might the rmap patches speed things up at all?

Comment 4 Arjan van de Ven 2002-02-19 13:44:10 UTC
Doesn't help too much unfortionatly. top still asks it per process...
sort of the same amount of work that way.


Note You need to log in before you can comment on or make changes to this bug.